
Figure - Bug #118654
IOVDEV-33446【自动化测试】【稳定性测试】【VC1】【副屏】com.android.webview:webview_apk Native Crash
2023-06-08 15:58 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【测试手顺】：副屏执行monkey稳定性测试

【预期结果】：无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

【实际结果】：com.android.webview:webview_apk Native Crash

【crash时间点】：// Timestamp: 2023-06-08 05:02:17.275290667+0800

【测试环境】：中控+AMP+副屏

【副屏版本】：HRYTTESTVINMGM817

【中控版本】： 0088

【VIN】：HRYTTESTVINMGM817

【全量log】：https://ofs.human-horizons.com/#/download/index/bVwrwl0I1Pg%3D

History

#1 - 2023-06-08 15:58 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118648

#2 - 2023-06-08 16:03 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

Hi 永红

这个问题与 #117378 一样，属于同件问题，请帮忙同步信息，谢谢

当前问题说明

谷歌原生webview应用在monkey测试中偶现crash

研发对于这个问题的修复方式, 因为该apk应用是谷歌原生的，我们无法修改起源代码，只能通过尝试更新谷歌官方分支的apk文件来改善

2025-07-04 1/2

https://ofs.human-horizons.com/#/download/index/bVwrwl0I1Pg%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118648


但是目前更新版本后仍然存在问题

因此基于下列理由，此问题我们申请不解

1.该apk应用是谷歌原生的，我们无法修改其源代码，只能通过尝试更新谷歌官方分支的apk文件来改善，研发无法做更多处理

2.通过调查，该问题在 Android 7.0+ 以上一直存在，并且官方认为不需要修复。建议在从第三方应用使用 WebView 的方式上进行规避，这个需要看三方

应用内部实现

3.该问题复现场景比较罕见，遇见的概率极低

4.复现后除了wedview在该特种情况下，无法使用，并无其他影响，不会影响系统的正常运行

#3 - 2023-06-09 11:32 - CD TEST-方永红

已同步，待回复

#4 - 2023-06-12 18:17 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复：接受现状，关票处理

#5 - 2023-06-12 18:17 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-12 18:17 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
